Kirjoittaja Aihe: DPKG kanssa ongelmia, Mitä pitäis tehdä...?  (Luettu 2444 kertaa)

Kirbo

  • Käyttäjä
  • Viestejä: 18
    • Profiili
DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« : 07.03.06 - klo:00.53 »
..eli, kun kirjotan näin:

Koodia: [Valitse]
käyttäjä@tietokone:~/hakemisto$    sudo dpkg -i kompile_0.2-1_i386.deb
niin tulee tälleen:

Koodia: [Valitse]
Selecting previously deselected package kompile.
(Reading database ... 161806 files and directories currently installed.)
Unpacking kompile (from kompile_0.2-1_i386.deb) ...
dpkg: dependency problems prevent configuration of kompile:
 kompile depends on libgcc1 (>= 1:4.0.2); however:
  Version of libgcc1 on system is 1:4.0.1-4ubuntu9.
 kompile depends on libidn11 (>= 0.5.18); however:
  Version of libidn11 on system is 0.5.13-1.0.
 kompile depends on libqt3-mt (>= 3:3.3.5); however:
  Version of libqt3-mt on system is 3:3.3.4-8ubuntu5.
 kompile depends on libstdc++6 (>= 4.0.2-4); however:
  Version of libstdc++6 on system is 4.0.1-4ubuntu9.
 kompile depends on libxrender1 (>> 1:0.9.0-1); however:
  Version of libxrender1 on system is 1:0.9.0-1.
dpkg: error processing kompile (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 kompile

ja APT, ADEPT, jne ei löydy ton uudempia versioita..... samoista paketeista toi vinkuu myös sillon kun yritän eggdrop:ia compilee...

ko. "Kompile" löytyy täältä:
http://kde-apps.org/content/show.php?content=30223

Osaisko joku auttaa? Oon asentanu kaikki GCC, Build-essential, Tcl8.4, Make, jne jne jne ja kaikista mahdollisista myös DEVELOPMENT version, mutta mikään ei auta :S
« Viimeksi muokattu: 07.03.06 - klo:01.53 kirjoittanut Kirbo »
Toshiba Tecra S1 1,3GHz + Kubuntu 5.10

mgronber

  • Käyttäjä
  • Viestejä: 1458
    • Profiili
Re: DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« Vastaus #1 : 07.03.06 - klo:02.17 »
Jos tosissasi haluat tuon asentaa niin se onnistunee helpoiten suoraan lähdekoodeista kääntämällä. Sen verran testasin omassa Kubuntussani että tuo kääntyi ihan siististi.

juyli

  • Vieras
Re: DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« Vastaus #2 : 07.03.06 - klo:10.10 »
Koodia: [Valitse]
käyttäjä@tietokone:~/hakemisto$    sudo dpkg -i kompile_0.2-1_i386.deb

Juuri oli aiheesta puhetta. dpkg ei asenna pakettia, koska ohjelman vaatimukset eivät täyty.
Tuo deb-paketti ei ole paketoitu Linux-jakeluasi varten, tai kirjastojasi ei ole päivitetty tms.

Ohjeet ohjelman kääntämiseksi jo saitkin (Huom. tutustu ohjelmaan checkinstall). Toinen vaihtoehto olisi löytää tuo ohjelma jakeluusi jo valmiiksi pakattuna joltakin repositoryltä, josta sen voisi noutaa siististi apt-getillä.
Kolmas eli huonoin vaihtoehto olisi "päivittää" nuo kirjastot (nuo vaaditut kirjastot olivat osin melkoisen uusia verrattuna koneellasi oleviin vastaaviin paketteihin!) ja asentaa sitten tuo kompile.

tuke81

  • Käyttäjä
  • Viestejä: 1667
    • Profiili
Re: DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« Vastaus #3 : 07.03.06 - klo:15.25 »
http://packages.ubuntulinux.org/ Tuolta kun hakee kyseistä pakettia, niin selviää ettei sitä ole breezylle repoissa, mutta on dapperille. Joko odotat että dapper tulee kuukauden kuluttua ja asennat sitten sen tai haet riippuvat paketit dapperilta(jota en todellakaan suosittele). Kääntäminen sourcesta on ehkä paras vaihtoehto, kuten mgronber aiemmin jo sanoi.
Miksi tehdä jotain helposti, kun sen voi tehdä vaikeastikin...

Kirbo

  • Käyttäjä
  • Viestejä: 18
    • Profiili
Re: DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« Vastaus #4 : 07.03.06 - klo:15.52 »
käänsin sen jo sourcesta, meni ihan ok, mutta se ei tullut sinne "Toiminnot" menuun, eikä kai tonne "Apuohjelmat" valikkoonkaa, sit kun yritin sitä .deb asentaa ni tuli kumpaankin.. Toimi hyvin mutta kun yritin sillä compilee KToshiba ohjelmaa (http://kde-apps.org/content/show.php?content=18621) niin tuli vaan virheitä, sit kun seuraavan kerran avasin Adept niin se poisti Kompilen automaattisesti =D
Pitää sitten varmaan odottaa että Dapper tulee.. Oon tässä jo muutaman päivän miettiny sellasta ratkasua että pitäiskö vaihtaa Debianiin ja asentaa siihen KDE, mutta en viitsisi kun tämä on niin paljon helpompi, ja sitten löysin tämän forumin josta olen löytänyt apua muutamaan ongelmaan mitä minulla tämän kanssa ilmeni. Ja jos kerta Dapperissa on ne ko. libraryt (Gcc, tcl, jne) uudempina versioina, ni enköhän nyt pysty sen kuukauden/pari kuukautta odottamaan.

Mutta kiitos silti =)
Toshiba Tecra S1 1,3GHz + Kubuntu 5.10

tuke81

  • Käyttäjä
  • Viestejä: 1667
    • Profiili
Re: DPKG kanssa ongelmia, Mitä pitäis tehdä...?
« Vastaus #5 : 07.03.06 - klo:15.59 »
Pjooh tuota kun kääntää ohjelmia sourcesta ne käännökset ei yleensä ilmesty mihinkään menuihin automaattisesti(ne voi lisätä sinne manuaalisesti). Eli kun käänsit sen softan(./configure,make,sudo checkinstall tai mikä source nyt sattuukin olemaan). Ohjelmat lähtevät käyntiin kirjoittamalla päätteeseen ohjelman nimi tässä tapauksessa kompile.
Miksi tehdä jotain helposti, kun sen voi tehdä vaikeastikin...